スーパーpre記法

phpは有効にならない。
なので、perlにしとく。